#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#include "CS_KanpaFishingBladeHitbox.h"
//سم¹³
class CS_KanpaFishingBlade :
    public Entity
{
public:
    CS_KanpaFishingBlade(std::shared_ptr<Entity> parent);
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void Destroy() override;
    void MoveControl();
    float max_move = 0x2ff / ts;
    float move = 0xc0 / ts;
    bool setWaterSplash = false;
    EntityStateGravity stateGravity;
    std::weak_ptr<Entity> target;
    std::weak_ptr<CS_KanpaFishingBladeHitbox> hitBox;
    bool waitForHit = false;
    bool bHit = false;
    bool hitResult = false;
    bool hookFinish = false;
};

